* {
  text-shadow: none;
}

.Grid {
  display: grid;
  grid-gap: 10px;
}

.Section {
  background: white;
  padding: 5px;
  border-radius: .5em;
  margin: 10px 0;
}

.Overflow {
  overflow: auto;
}

#Popup form {
  margin: 0;
  max-height: 80vh;
  overflow: auto;
}

#Popup .Title,
#FilePopup .Title {
  font-size: 20px;
}

@media(min-width:420px) {
  #Popup .Section.Max {
    max-width: 50vw;
  }
}

#Popup .Section>.Title,
#FilePopup .Section>.Title {
  font-size: 18px;
}

.Table {
  background: white;
  margin: 5px 0;
  font-size: 14px;
}

.Table>tr>*:not(.Spacer):not(.NoBrdrR),
.Table>*>tr>*:not(.Spacer):not(.NoBrdrR),
.BrdrR {
  border-right: 1px solid #aaa;
}

.Table>tr>*:not(.Spacer):not(.NoBrdrB),
.Table>*>tr>*:not(.Spacer):not(.NoBrdrB),
.BrdrB {
  border-bottom: 1px solid #aaa;
}

.Table>tr>*:first-child:not(.Spacer):not(.NoBrdrL),
.Table>*>tr>*:first-child:not(.Spacer):not(.NoBrdrL),
.BrdrL {
  border-left: 1px solid #aaa;
}

.Table>*:first-child>tr:first-child>*:not(.Spacer):not(.NoBrdrT),
.BrdrT {
  border-top: 1px solid #aaa;
}

.Subtitle {
  font-size: 14px;
  color: grey;
}

.Title>.Subtitle {
  font-size: 16px;
  color: grey;
}

.NoWrap {
  white-space: nowrap;
}

.NoWrap>* {
  display: inline-block;
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

.MarginAuto {
  margin: auto;
}

.Inline {
  display: inline-block;
}

.Inline>.ui-controlgroup-label {
  display: inline-block;
}

.Small>.ui-input-text {
  margin: 0;
}

.Purple {
  color: purple;
}

.Orange {
  color: orange;
}

textarea {
  resize: vertical;
}

.IconDiv {
  display: inline-block;
}

.IconDiv .fa-file-pdf {
  color: red;
}

.IconDiv .fa-file-image {
  color: #5555ff;
}

.Blue {
  color: rgb(0, 89, 255);
}

.GreenBG {
  background: #e2ffe2;
}

.RedBG {
  background: #ffe2e2;
}

.OrangeBG {
  background: #ffe6b8;
}

.YellowBG {
  background: #ffffb6;
}

.GreyBG {
  background: #eee;
}

.Form .Tasks .List li>* {
  pointer-events: none;
}

@media(min-width:1140px) {
  .Form {
    max-width: 75vw;
  }
}

@media(min-width:420px) {
  .Fields>.Grid {
    grid-template-columns: 1fr 1fr;
  }

  .Fields>.Grid>.Section {
    margin: 5px 0;
  }
}

.UploadsDiv .fas {
  font-size: 24px;
  padding: 10px;
  border-radius: .5em;
}

.UploadsDiv .fas:hover {
  background: #eee;
}

#FilePopup img {
  max-width: 50vw;
  max-height: 50vh;
  border-radius: .5em;
}

#FilePopup iframe {
  width: 50vw;
  height: 50vh;
  border-radius: .5em;
}